%include	/usr/lib/rpm/macros.perl
Summary:	Software for hosting git repositories
Summary(pl.UTF-8):	Narzędzie do hostowania repozytoriów git
Name:		gitolite3
Version:	3.5.3.1
Release:	2
License:	GPL v2
Group:		Development/Tools
Source0:	http://github.com/sitaramc/gitolite/tarball/v%{version}/gitolite-%{version}.tar.gz
# Source0-md5:	fcb76649837241369353a52d4156023a
Patch0:		%{name}-README.patch
URL:		http://github.com/sitaramc/gitolite
BuildRequires:	rpm-perlprov
BuildRequires:	rpmbuild(macros) >= 1.219
BuildRequires:	sed >= 4.0
Requires:	git-core >= 1.6.6
Requires:	openssh-server >= 5.0
Conflicts:	gitolite
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Gitolite allows a server to host many git repositories and provide
access to many developers, without having to give them real userids on
the server. The essential magic in doing this is ssh's pubkey access
and the authorized_keys file, and the inspiration was an older program
called gitosis.

Gitolite can restrict who can read from (clone/fetch) or write to
(push) a repository. It can also restrict who can push to what branch
or tag, which is very important in a corporate environment. Gitolite
can be installed without requiring root permissions, and with no
additional software than git itself and Perl.

Gitolite 3.x is a total rewrite of Gitolite 2.x, see the online
documentation for upgrade instructions.

%description -l pl.UTF-8
Gitolite pozwala na hostowanie wielu repozytoriów git na jednym
serwerze i udostępnianie ich wielu deweloperom bez potrzeby nadawania
tworzenia dla nich rzeczywistych użytkowników na serwerze. Cała magia
polega na dostępie przy użyciu kluczy SSH oraz pliku authorized_keys,
a inspiracją był starszy program o nazwie gitosis.

Gitolite pozwala na ograniczenie, kto może odczytywać (operacje
clone/fetch) i zapisywać (operacja push) do repozytorium. Pozwala
także kontrolować, kto może zapisywać na daną gałąź lub etykietę, co
może być bardzo ważne w środowisku korporacyjnym. Gitolite może być
zainstalowany bez dostępu do konta roota i bez dodatkowego
oprogramowania poza samym gitem i Perlem.

Gitolite 3.x to kod Gitolite napisany od nowa, dokumentacja online
wyjaśnia proces aktualizacji.

%package contrib
Summary:	Contributed scripts for Gitolite
Group:		Networking
Requires:	%{name} = %{version}-%{release}

%description contrib
Contributed scripts for Gitolite.

%prep
%setup -qc
mv sitaramc-gitolite-*/* .
%{__rm} -r sitaramc-gitolite-*

%patch0 -p1

echo "v%{version}" > src/VERSION # add '-pld' suffix or something if patched

%build

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_datadir},%{perl_vendorlib}}
install -p check-g2-compat convert-gitosis-conf $RPM_BUILD_ROOT%{_bindir}

cp -a src $RPM_BUILD_ROOT%{_datadir}/gitolite
mv $RPM_BUILD_ROOT%{_datadir}/gitolite/lib/* $RPM_BUILD_ROOT%{perl_vendorlib}
rmdir $RPM_BUILD_ROOT%{_datadir}/gitolite/lib

ln -sf %{_datadir}/gitolite/gitolite $RPM_BUILD_ROOT%{_bindir}
ln -sf %{_datadir}/gitolite/gitolite-shell $RPM_BUILD_ROOT%{_bindir}

cp -a contrib $RPM_BUILD_ROOT%{_datadir}/gitolite

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGELOG CONTRIBUTING README.txt
%attr(755,root,root) %{_bindir}/gitolite
%attr(755,root,root) %{_bindir}/gitolite-shell
%attr(755,root,root) %{_bindir}/check-g2-compat
%attr(755,root,root) %{_bindir}/convert-gitosis-conf
%dir %{_datadir}/gitolite
%attr(755,root,root) %{_datadir}/gitolite/gitolite
%attr(755,root,root) %{_datadir}/gitolite/gitolite-shell
%{_datadir}/gitolite/VERSION
%dir %{_datadir}/gitolite/VREF
%attr(755,root,root) %{_datadir}/gitolite/VREF/*
%dir %{_datadir}/gitolite/commands
%attr(755,root,root) %{_datadir}/gitolite/commands/*
%dir %{_datadir}/gitolite/syntactic-sugar
%{_datadir}/gitolite/syntactic-sugar/*
%dir %{_datadir}/gitolite/triggers
%attr(755,root,root) %{_datadir}/gitolite/triggers/bg
%attr(755,root,root) %{_datadir}/gitolite/triggers/partial-copy
%attr(755,root,root) %{_datadir}/gitolite/triggers/renice
%attr(755,root,root) %{_datadir}/gitolite/triggers/repo-specific-hooks
%attr(755,root,root) %{_datadir}/gitolite/triggers/set-default-roles
%attr(755,root,root) %{_datadir}/gitolite/triggers/upstream
%dir %{_datadir}/gitolite/triggers/post-compile
%attr(755,root,root) %{_datadir}/gitolite/triggers/post-compile/*
%{perl_vendorlib}/Gitolite

%files contrib
%defattr(644,root,root,755)
%{_datadir}/gitolite/contrib
%changelog
* Sat Nov 02 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/gitolite3.git;a=log;h=master

* Sat Nov 02 2013 Elan Ruusamäe <glen@delfi.ee> 6ebe85f
- package contrib/ to -contrib

* Wed Oct 30 2013 Elan Ruusamäe <glen@delfi.ee> 55f8e78
- up to 3.5.3.1

* Thu Sep 12 2013 Jacek Konieczny <j.konieczny@eggsoft.pl> ccdf47e
- TODO removed, Release: 1

* Thu Sep 12 2013 Jacek Konieczny <j.konieczny@eggsoft.pl> fe36b73
- Updated for gitolite3

* Thu Sep 12 2013 Jacek Konieczny <j.konieczny@eggsoft.pl> 696e2a4
- removing all g2 patches

* Thu Sep 12 2013 Jacek Konieczny <j.konieczny@eggsoft.pl> 2050f40
- gitolite -> gitolite3

* Mon Jan 14 2013 Kacper Kornet <draenog@pld-linux.org> d313338
- always use GMT for timestamps in logfile

* Tue Jul 10 2012 Jakub Bogusz <qboosh@pld-linux.org> 71a341f
- pl
- doc packaging cleanup

* Fri Jun 15 2012 Kacper Kornet <draenog@pld-linux.org> d26dcc4
- subpackage with miscellaneous scripts

* Fri Jun 15 2012 Kacper Kornet <draenog@pld-linux.org> 7987fd2
- fix for initial config file which includes other files

* Mon Jun 11 2012 Kacper Kornet <draenog@pld-linux.org> 14f4844
- one more case when gl-setup should be rerun

* Wed May 30 2012 Kacper Kornet <draenog@pld-linux.org> f8a6def
- up to 2.3.1

* Wed Feb 15 2012 Kacper Kornet <draenog@pld-linux.org> 694d5ca
- up to 2.3
- nogitweb.patch included upstream

* Fri Feb 03 2012 Kacper Kornet <draenog@pld-linux.org> 14ba51c
- upstream version of nogitweb.patch

* Sat Jan 28 2012 Kacper Kornet <draenog@pld-linux.org> 005f554
- fix 'open /home/users/gitolite/projects.list failed:' error when
  $GL_NO_DAEMON_NO_GITWEB is set

* Mon Jan 16 2012 Kacper Kornet <draenog@pld-linux.org> 79ac157
- up to 2.2.1

* Thu Dec 08 2011 Kacper Kornet <draenog@pld-linux.org> db42b3c
- allow for not truncated list of available repositories
- fix broken links in hooks directories
- speed up gl-setup
- option to disable creation of wildcard repositories
- set version string in the same way as upstream

* Sat Nov 19 2011 Artur Frysiak <artur@frysiak.net> b113ed6
- up to 2.2

* Tue Aug 09 2011 Artur Frysiak <artur@frysiak.net> 5709885
- up to 2.0.3

* Wed Jun 01 2011 Artur Frysiak <artur@frysiak.net> 129b2ad
- up to 2.0.2
- removed gituser.patch (included in this version)

